xmlpp::ParserInputBuffer Class Referenceabstract

Base class for xmlParserInputBuffer wrapper. More...

`#include <libxml++/io/parserinputbuffer.h>`

Inheritance diagram for xmlpp::ParserInputBuffer:
[legend]

## Public Member Functions

| ParserInputBuffer ()
| ~ParserInputBuffer () override
_xmlParserInputBuffer* | cobj () noexcept
| gives an access to the underlying libxml structure to the children More...
const _xmlParserInputBuffer* | cobj () const noexcept
| gives an access to the underlying libxml structure to the children More...

## Additional Inherited Members

Protected Member Functions inherited from xmlpp::NonCopyable
| NonCopyable () noexcept
| NonCopyable (const NonCopyable&)=delete
| NonCopyable (NonCopyable&&)=delete
virtual | ~NonCopyable ()
NonCopyable& | operator= (const NonCopyable&)=delete
NonCopyable& | operator= (NonCopyable&&)=delete

## Detailed Description

Base class for xmlParserInputBuffer wrapper.

It can be derived from to create a new output buffer. A child class has to override do_write(), and possibly do_close() if some actions are required before buffer closing.

## Constructor & Destructor Documentation

xmlpp::ParserInputBuffer::ParserInputBuffer | ( |  | ) |

xmlpp::ParserInputBuffer::~ParserInputBuffer | ( |  | ) |

override

## Member Function Documentation

_xmlParserInputBuffer* xmlpp::ParserInputBuffer::cobj | ( |  | ) |

noexcept

gives an access to the underlying libxml structure to the children

const _xmlParserInputBuffer* xmlpp::ParserInputBuffer::cobj | ( |  | ) | const

noexcept

gives an access to the underlying libxml structure to the children